Seed Audio 1.0
curl --request POST \
--url https://api.krea.ai/generate/audio/bytedance/seed-audio-1.0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "An Andean village, terracotta roofs standing out against green mountain slopes."
}
'import requests
url = "https://api.krea.ai/generate/audio/bytedance/seed-audio-1.0"
payload = { "prompt": "An Andean village, terracotta roofs standing out against green mountain slopes." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'An Andean village, terracotta roofs standing out against green mountain slopes.'
})
};
fetch('https://api.krea.ai/generate/audio/bytedance/seed-audio-1.0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Audio
Seed Audio 1.0
Generate speech, dialogue, and sound design from a text prompt with Seed Audio 1.0.
POST
/
generate
/
audio
/
bytedance
/
seed-audio-1.0
Seed Audio 1.0
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Body
application/json
Text prompt describing the speech, dialogue, or sound to generate, e.g. "A calm female narrator says: ...".
Required string length:
1 - 2048Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?